//
//  ViewController.swift
//  Movies50
//
//  Created by Vincent Saluzzo on 21/02/2022.
//

import UIKit

class ViewController: UIViewController {
    static let cellIdentifier = "MovieCell"
    var movieList = Movie.list
}

extension ViewController: UITableViewDataSource {
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return movieList.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        guard let cell = tableView.dequeueReusableCell(withIdentifier: ViewController.cellIdentifier,
                                                       for: indexPath) as? MovieCell else {
            return UITableViewCell()
        }
        
        cell.fillWith(index: indexPath.row + 1, movie: movieList[indexPath.row])
        
        return cell
    }
    
    func tableView(_ tableView: UITableView, commit editingStyle: UITableViewCell.EditingStyle, forRowAt indexPath: IndexPath) {
        if editingStyle == .delete {
            movieList.remove(at: indexPath.row)
            tableView.deleteRows(at: [indexPath], with: .automatic)
        }
    }
}
